##
##  psutils.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_here 1.17
%define       V_real p17

#   package information
Name:         psutils
Summary:      Postscript Utilities
URL:          http://www.tardis.ed.ac.uk/~ajcd/psutils/
Vendor:       Angus Duggan
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Converter
License:      GPL
Version:      %{V_here}
Release:      20020405

#   list of sources
Source0:      ftp://ftp.dcs.ed.ac.uk/pub/ajcd/psutils-%{V_real}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl
PreReq:       OpenPKG, openpkg >= 20020206, perl
AutoReq:      no
AutoReqProv:  no

%description
    Various utilties for manipulating Postscript files.

%prep
    %setup -q -n psutils

%build
    %{l_make} %{l_mflags} -f Makefile.unix \
        PERL="%{l_prefix}/bin/perl" \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O} -DPAPER=\\\"a4\\\" -DUNIX" \
        BINDIR="%{l_prefix}/bin" \
        MANDIR="$RPM_BUILD_ROOT%{l_prefix}/man/man1" \
        SCRIPTDIR="%{l_prefix}/bin" \
        INCLUDEDIR="%{l_prefix}/share/psutils"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/man \
        $RPM_BUILD_ROOT%{l_prefix}/share
    %{l_shtool} subst -e 's;install ;%{l_shtool} install ;g' Makefile.unix
    %{l_make} %{l_mflags} -f Makefile.unix \
        PERL="%{l_prefix}/bin/perl" \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O} -DPAPER=\\\"a4\\\" -DUNIX" \
        BINDIR="$RPM_BUILD_ROOT%{l_prefix}/bin" \
        MANDIR="$RPM_BUILD_ROOT%{l_prefix}/man/man1" \
        SCRIPTDIR="$RPM_BUILD_ROOT%{l_prefix}/bin" \
        INCLUDEDIR="$RPM_BUILD_ROOT%{l_prefix}/share/psutils" \
        install
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2> /dev/null || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

